group "CommodityNotionalQuantity.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 5 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 3 locations

Content Model Diagram

Complex Content Model
((notionalQuantitySchedule? | notionalQuantity? | settlementPeriodsNotionalQuantity*), totalNotionalQuantity?) | quantityReference?

Content Model Elements (5):

  notionalQuantity,
  notionalQuantitySchedule,
  quantityReference (defined in CommodityNotionalQuantity.model group),
  settlementPeriodsNotionalQuantity,
  totalNotionalQuantity

Known Usage Locations

- In definitions of other model groups (1):
  CommodityFinancialOption.model
- In definitions of global complexTypes (2):
  FixedPriceLeg, FloatingPriceLeg

Annotation
The different options for specifying the Notional Quantity. A flat notional for the term of the trade may be specified, or else the Notional Quantity per Calculation Period. In the latter case, there must be a notional quantity specified for each Calculation Period, regardless of whether the Notional Quantity changes or remains the same between periods.
XML Source (w/o annotations (6); see within schema source)

<xsd:group name="CommodityNotionalQuantity.model"> <xsd:choice> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="notionalQuantitySchedule" type="CommodityNotionalQuantitySchedule"/> <xsd:element minOccurs="0" name="notionalQuantity" type="CommodityNotionalQuantity"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsNotionalQuantity" type="CommoditySettlementPeriodsNotionalQuantity"/> </xsd:choice> <xsd:element minOccurs="0" name="totalNotionalQuantity" type="xsd:decimal"/> </xsd:sequence> <xsd:element minOccurs="0" name="quantityReference" type="QuantityReference"/> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 5/5)
notionalQuantity

  Type: | CommodityNotionalQuantity, complex content

  The Notional Quantity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalQuantity" type="CommodityNotionalQuantity"/>

notionalQuantitySchedule

  Type: | CommodityNotionalQuantitySchedule, complex content

  Allows the documentation of a shaped notional trade where the notional changes over the life of the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalQuantitySchedule" type="CommodityNotionalQuantitySchedule"/>

quantityReference

  Type: | QuantityReference, empty content

  A pointer style reference to a quantity defined on another leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quantityReference" type="QuantityReference"/>

settlementPeriodsNotionalQuantity

  Type: | CommoditySettlementPeriodsNotionalQuantity, complex content

  For an electricity transaction, the Notional Quantity for a one or more groups of Settlement Periods to which the Notional Quantity is based. If the schedule differs for different groups of Settlement Periods, this element should be repeated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsNotionalQuantity" type="CommoditySettlementPeriodsNotionalQuantity"/>

totalNotionalQuantity

  Type: | xsd:decimal, predefined, simple content

  The Total Notional Quantity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="totalNotionalQuantity" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.